<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="stylesheet" type="text/css" href="./index.css">
	<title>CSS Introduction</title>
	<!-- Internal Syling-->
	<style type="text/css">
		/* Heirarchy of styling types 
			1. Inline Styling
			2. Internal Styling
			3. External Styling 
		 */

		/* Syntax: tagname(attribute; value;) */

		h1{color: black !important;}
	
	</style>

</head>
<body>

	<!-- id is used as unique selector for designing and navigation -->
	<!-- id attribute values dependes on the developer -->

	<nav id="top">
		<!-- don't forget to use sign (#) to access an "id" -->
		<a href="#landing">Zuitt</a>
		<div>
			<a href="#landing">Landing</a>
			<a href="">Register</a>
		</div>
	</nav>

	<!-- Inline Styling -->
	<!-- Creating style directly on the tags -->
	<h1 style="color: red;">Hello, World</h1>

	<section id="landing">
		<h2>Welcome to Zuitt!</h2>
		<h3 id="zuitt-motto">Opportunties for everyone, everywhere</h3>
		<img src="https://place-puppy.com/450x450"><br>

		<ol id="bootcamp-learning-list">
			<li class="offering-item">Day Classes</li>
			<li class="offering-item">Night Classes</li>
			<li class="offering-item">Intro to coding events</li>
		</ol>

		<a href="#top">Back to top</a>
	</section>

	<section id="register">
		<h2>Register</h2>
		<form>
			<label for="first-name">First Name</label><br>
			<input type="text" name="first-name" required autocomplete><br>

			<label for="last-name">Last Name</label><br>
			<input type="text" name="last-name" required autocomplete><br>

			<!-- byt default the value of autocomplete is "on" -->
			<label for="email">Email</label><br>
			<input type="email" name="email" required autocomplete><br>

			<button type="submit">Apply Now</button>

		</form>


		<a href="#top">Back to top</a>
	</section>

</body>
</html>